Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DORG2L

    java.lang.Object
      org.netlib.lapack.DORG2L

    public class DORG2L

extends java.lang.Object

    DORG2L is a simplified interface to the JLAPACK routine dorg2l.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DORG2L generates an m by n real matrix Q with orthonormal columns,
     *  which is defined as the last n columns of a product of k elementary
     *  reflectors of order m
     *
     *        Q  =  H(k) . . . H(2) H(1)
     *
     *  as returned by DGEQLF.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix Q. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix Q. M >= N >= 0.
     *
     *  K       (input) INTEGER
     *          The number of elementary reflectors whose product defines the
     *          matrix Q. N >= K >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the (n-k+i)-th column must contain the vector which
     *          defines the elementary reflector H(i), for i = 1,2,...,k, as

     *          returned by DGEQLF in the last k columns of its array
     *          argument A.
     *          On exit, the m by n matrix Q.
     *
     *  LDA     (input) INTEGER
     *          The first dimension of the array A. LDA >= max(1,M).
     *
     *  TAU     (input) DOUBLE PRECISION array, dimension (K)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by DGEQLF.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument has an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DORG2L()`

Method Summary
`static void` | `DORG2L(int m, int n, int k, double[][] a, double[] tau, double[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DORG2L

    public DORG2L()

Method Detail

### DORG2L

    public static void DORG2L(int m,
                              int n,
                              int k,
                              double[][] a,
                              double[] tau,
                              double[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD